Bug 27282 - [V8] Cleanup exception handling in worker evaluation code.
: [V8] Cleanup exception handling in worker evaluation code.
Status: RESOLVED FIXED
: WebKit
WebCore Misc.
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To:
:
:
: 25151
:
  Show dependency treegraph
 
Reported: 2009-07-14 17:30 PST by
Modified: 2009-07-24 11:03 PST (History)


Attachments
Proposed Patch (6.66 KB, patch)
2009-07-14 17:37 PST, Jian Li
no flags Review Patch | Details | Formatted Diff | Diff
Proposed Patch (6.06 KB, patch)
2009-07-20 15:27 PST, Jian Li
abarth: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-07-14 17:30:20 PST
Implement the corresponding V8 changes to deal with the problem that workers with syntax errors not firing error event.
------- Comment #1 From 2009-07-14 17:37:42 PST -------
Created an attachment (id=32752) [details]
Proposed Patch
------- Comment #2 From 2009-07-20 15:27:37 PST -------
Created an attachment (id=33115) [details]
Proposed Patch
------- Comment #3 From 2009-07-23 23:09:03 PST -------
(From update of attachment 33115 [details])
This looks good.  Is there any behavior change we can test?
------- Comment #4 From 2009-07-24 09:59:31 PST -------
(In reply to comment #3)
> (From update of attachment 33115 [details] [details])
> This looks good.  Is there any behavior change we can test?

The tests are in worker-constructor.html (see patch for bug 27525). This layout test worker-constructor.html will be re-enabled in Chrome until all WebKit patches are landed.
------- Comment #5 From 2009-07-24 11:03:01 PST -------
Committed as http://trac.webkit.org/changeset/46365